### Method

# ECal ComponentBagItem copy

since: 3.58

#### Declaration [src]

    ECalComponentBagItem*
    e_cal_component_bag_item_copy (
      const ECalComponentBagItem* self
    )

#### Description [src]

Creates an independent copy of the `self`. If there is set a copy_user_data, then also the user_data member is copied using this function, otherwise the user_data member is just carried over to the new copy.

Available since: 3.58

#### Return value

Type: `ECalComponentBagItem`

A new copy of the `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.